Name:		epic5
Epoch:		0
Version:	3.0
Release:	%mkrel 3
Summary:	(E)nhanced (P)rogrammable (I)RC-II (C)lient
Group:		Networking/IRC
License:	BSD
URL:		https://www.epicsol.org/
Source0:	https://ftp.epicsol.org/pub/epic/EPIC5-PRODUCTION/%{name}-%{version}.tar.xz
# Amnesiac 2.0.2 release updated on Jul 26 2010 @ 20:09
Source2:	http://amnesiac.ircii.org/amnesiac2.0.2cvs51.tgz
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(ruby)
BuildRequires:	ruby(rubygems)
BuildRequires:	pkgconfig(tcl)
BuildRequires:	perl-devel

%description
EPIC is an irc client project. The EPIC software was forked from
ircII-2.8.2 in fall 1994. There have been 5 generations of EPIC.

EPIC's development model is to provide tools to scripters rather than
features to end users. Out of the box, EPIC behaves much the same way
ircII-2.8.2 did in 1994. To truly leverage EPIC, you will need a
script pack. This %{_vendor} package includes the Amnesia script pack,
see http://amnesiac.ircii.org/

%prep
%setup -q -T -b 0
%autopatch -p1

perl -pi -e 's|/usr/local/bin/perl5|%{__perl}|' regress/crash-irc

# silence rpmlint and convert to utf8
iconv -f iso8859-1 -t utf-8 WISHLIST > WISHLIST.conv && mv -f WISHLIST.conv WISHLIST
iconv -f iso8859-1 -t utf-8 COPYRIGHT > COPYRIGHT.conv && mv -f COPYRIGHT.conv COPYRIGHT
iconv -f iso8859-1 -t utf-8 UPDATES > UPDATES.conv && mv -f UPDATES.conv UPDATES
iconv -f iso8859-1 -t utf-8 regress/stat > regress/stat.conv && mv -f regress/stat.conv regress/stat

%build
autoreconf -vfi
%configure \
		--with-ipv6 \
		--with-perl \
		--with-ruby \
		--with-ssl \
		--without-socks \
		--with-tcl=%{_libdir}/tclConfig.sh
%make_build

%install
%make_install libexecdir=%{_bindir} sharedir=%{_datadir}

tar -xf %{SOURCE2} -C %{buildroot}%{_datadir}/%{name}/script

# FIXME for correct assignment of rights of all script files
chmod 0755 %{buildroot}%{_datadir}/%{name}/script/epic-crypt-gpg{,-aa}
chmod 0755 %{buildroot}%{_datadir}/%{name}/script/alloc_dump_summary.sh

%files
%doc BUG_FORM COPYRIGHT FILES WISHLIST KNOWNBUGS README
%doc README-CRYPTO UPDATES doc/* regress
%{_bindir}/%{name}
%{_bindir}/%{name}-*
%{_datadir}/%{name}/
%{_bindir}/%{name}-wserv4
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Feb 01 2025 pterjan <pterjan> 0:3.0-3.mga10
+ Revision: 2144267
- Rebuild for Ruby 3.4

* Wed Dec 04 2024 pterjan <pterjan> 0:3.0-2.mga10
+ Revision: 2120942
- Rebuild for Ruby 3.3

* Fri Sep 06 2024 daviddavid <daviddavid> 0:3.0-1.mga10
+ Revision: 2093350
- new version: 3.0

* Sat Aug 24 2024 daviddavid <daviddavid> 0:2.6-1.mga10
+ Revision: 2090154
- new version: 2.6
- new version: 2.1.13
+ tv <tv>
- Rebuild for perl-5.40

* Tue Dec 05 2023 daviddavid <daviddavid> 0:2.1.12-2.mga10
+ Revision: 2013181
- rebuild for new perl 5.38.0

* Thu Nov 10 2022 daviddavid <daviddavid> 0:2.1.12-1.mga9
+ Revision: 1905110
- new version: 2.1.12

* Mon Jun 06 2022 umeabot <umeabot> 0:2.1.4-6.mga9
+ Revision: 1861494
- Rebuild for Perl 5.36

* Fri Mar 25 2022 umeabot <umeabot> 0:2.1.4-5.mga9
+ Revision: 1827086
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 0:2.1.4-4.mga9
+ Revision: 1784560
- Rebuild for Ruby 3.1

* Sat Oct 02 2021 wally <wally> 0:2.1.4-3.mga9
+ Revision: 1747559
- rebuild for openssl 3.0.0

* Mon May 24 2021 umeabot <umeabot> 0:2.1.4-2.mga9
+ Revision: 1726361
- Rebuild for perl 5.34

* Fri Apr 09 2021 daviddavid <daviddavid> 0:2.1.4-1.mga9
+ Revision: 1714196
- new version: 2.1.4

* Wed Jun 17 2020 umeabot <umeabot> 0:2.1.2-2.mga8
+ Revision: 1594211
- Rebuild for perl 5.32

* Thu May 28 2020 daviddavid <daviddavid> 0:2.1.2-1.mga8
+ Revision: 1588313
- new version: 2.1.2
- remove merged upstream patch

* Sun Mar 15 2020 pterjan <pterjan> 0:2.1.1-4.mga8
+ Revision: 1556443
- Rebuild for ruby 2.7

* Sun Feb 16 2020 umeabot <umeabot> 0:2.1.1-3.mga8
+ Revision: 1530179
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Aug 27 2019 tmb <tmb> 0:2.1.1-2.mga8
+ Revision: 1433970
- rebuild for perl 5.30

* Thu Feb 28 2019 daviddavid <daviddavid> 0:2.1.1-1.mga7
+ Revision: 1370450
- new version: 2.1.1

* Sun Sep 23 2018 umeabot <umeabot> 0:2.0.1-6.mga7
+ Revision: 1297614
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 daviddavid <daviddavid> 0:2.0.1-5.mga7
+ Revision: 1248458
- rebuild for new perl 5.28.0

* Mon Jan 01 2018 pterjan <pterjan> 0:2.0.1-4.mga7
+ Revision: 1188455
- Rebuild for Ruby 2.5

* Fri Sep 01 2017 cjw <cjw> 0:2.0.1-3.mga7
+ Revision: 1150392
- fix build with new openssl
+ pterjan <pterjan>
- Rebuild for perl ABI changes
- Rebuild for new Ruby

* Sat Jul 22 2017 neoclust <neoclust> 0:2.0.1-2.mga7
+ Revision: 1126451
- Rebuild against new Perl 5.26

* Wed Feb 01 2017 daviddavid <daviddavid> 0:2.0.1-1.mga6
+ Revision: 1084524
- new version: 2.0.1
- make sure that tcl are properly detected

* Wed Mar 02 2016 umeabot <umeabot> 0:1.4-4.mga6
+ Revision: 983391
- Rebuild for openssl

* Thu Feb 11 2016 umeabot <umeabot> 0:1.4-3.mga6
+ Revision: 953853
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 0:1.4-2.mga6
+ Revision: 885909
- Rebuild for tcl 8.6.4

* Sat Sep 19 2015 daviddavid <daviddavid> 0:1.4-1.mga6
+ Revision: 881297
- new version: 1.4

* Tue Jul 28 2015 daviddavid <daviddavid> 0:1.1.11-1.mga6
+ Revision: 858441
- new version: 1.1.11
- fix file-not-utf8 warning
- update doc file list

* Wed Oct 15 2014 umeabot <umeabot> 0:1.1.9-3.mga5
+ Revision: 742010
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:1.1.9-2.mga5
+ Revision: 679020
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 daviddavid <daviddavid> 0:1.1.9-1.mga5
+ Revision: 666214
- use %%makeinstall_std macro
- switch BRs to pkgconfig
- fix for correct assignment of rights of some script files
- new version of help data (20140729)
- new version: 1.1.9

* Sat Oct 19 2013 umeabot <umeabot> 0:1.1.6-3.mga4
+ Revision: 535994
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 0:1.1.6-2.mga4
+ Revision: 482944
- rebuild for ruby 2.0

* Fri Aug 02 2013 sander85 <sander85> 0:1.1.6-1.mga4
+ Revision: 462707
- New version: 1.1.6

* Fri Jun 28 2013 fwang <fwang> 0:1.1.5-3.mga4
+ Revision: 447766
- rebuild for new libarchive

* Fri Jan 11 2013 umeabot <umeabot> 0:1.1.5-2.mga3
+ Revision: 349703
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 0:1.1.5-1.mga3
+ Revision: 339803
- 1.1.5

* Wed Jan 04 2012 fwang <fwang> 0:1.1.2-4.mga2
+ Revision: 190640
- rebuild for new libarchive

* Sun Jul 03 2011 fwang <fwang> 0:1.1.2-3.mga2
+ Revision: 117541
- rebuild for tcl

* Sat May 21 2011 ahmad <ahmad> 0:1.1.2-2.mga1
+ Revision: 100006
- Replace a reference to Mandriva with Mageia

* Thu Apr 21 2011 cjw <cjw> 0:1.1.2-1.mga1
+ Revision: 89427
- imported package epic5

